Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157399 - input strings gets committed in the wrong order in Evolution Task
Summary: input strings gets committed in the wrong order in Evolution Task
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: libgal2
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Dave Malcolm
QA Contact:
URL:
Whiteboard:
Depends On: 157398
Blocks: 156322
TreeView+ depends on / blocked
 
Reported: 2005-05-11 07:31 UTC by Lawrence Lim
Modified: 2014-03-26 00:52 UTC (History)
2 users (show)

Fixed In Version: RHBA-2005-556
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-05 14:45:21 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2005:556 qe-ready SHIPPED_LIVE evolution and libgal2 bug fix and enhancement update 2005-10-05 04:00:00 UTC
GNOME Bugzilla 303876 None None None Never

Description Lawrence Lim 2005-05-11 07:31:46 UTC
+++ This bug was initially created as a clone of Bug #157398 +++

Description of problem:
In CJK locale, input characters gets replicated when they are not
comitted.

Version-Release number of selected component (if applicable):
evolution-webcal-2.2.0-1
evolution-2.2.2-5
evolution-data-server-1.2.2-2
evolution-devel-2.2.2-5
evolution-data-server-devel-1.2.2-2
evolution-connector-2.2.2-3
evolution-debuginfo-2.2.2-5

How reproducible:
Always

Steps to Reproduce:
1.Select any CJK locale at gdm and log in (in this example, we use Japan)
2.Start Evolution -> Select Task
3.Ctrl+SPACE to activate the Language Engine
4.Go to new task entry in the widget
5.Type "sushi" enter
6.Type "genki" enter
  
Actual results:
"genki" gets committed before the "sushi"

Expected results:
"genki" should be commiteed after "sushi"

Additional info:

Comment 1 Lawrence Lim 2005-05-11 07:32:23 UTC
Tested with the following packages, the bug also exist in EL4.

evolution-debuginfo-2.0.2-16
evolution-webcal-1.0.10-1
evolution-devel-2.0.2-16
evolution-connector-2.0.2-5
evolution-data-server-devel-1.0.2-7
evolution-2.0.2-16
evolution-data-server-1.0.2-7


Comment 7 Dave Malcolm 2005-06-29 21:29:12 UTC
Changing component to libgal2

Comment 11 Dave Malcolm 2005-08-03 02:11:18 UTC
Built with fix for RHEL4 as libgal2-2.2.3-6

Comment 12 Red Hat Bugzilla 2005-10-05 14:45:21 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-556.html



Note You need to log in before you can comment on or make changes to this bug.